from frostfs_testlib.storage.service_registry import ServiceRegistry

__class_registry = ServiceRegistry()


def get_service_registry() -> ServiceRegistry:
    """Returns registry with registered classes related to cluster and cluster nodes.

    ServiceClassRegistry is a singleton instance that can be configured with multiple classes that
    represents service on the cluster physical node.

    Returns:
        Singleton ServiceClassRegistry instance.
    """
    return __class_registry
